## tla-load-dirs 1.0.12ubuntu1

=== docs/Makefile ===
# arch-tag: documentation build system
# Copyright (C) 2003 John Goerzen
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

MASTERBASE := tla_load_dirs
TOPNODE := tla_load_dirs
BASICDEPS := $(MASTERBASE).sgml
#DOINDEX := yes
DOINDEX := no
HTMLARGS := -s local
PSARGS := -s local=printlocal

all: ps
ps: $(MASTERBASE).ps
html: html/index.html
text: $(MASTERBASE).txt

manpages: tla_load_dirs.1
%.1: %.sgml
	docbook2man $<

include sgml-common/Makefile.common

realclean: clean
	-rm -rf *.links *.refs *.1

=== debian/changelog ===
tla-load-dirs (1.0.12ubuntu1) warty; urgency=low

  * Add missing build-depends: python

 -- LaMont Jones <lamont@mmjgroup.com>  Fri, 17 Sep 2004 17:09:55 +0000

tla-load-dirs (1.0.12) unstable; urgency=low

  * Experimental: Let the tagging method be tagline.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 26 Feb 2004 22:00:07 -0600

tla-load-dirs (1.0.11) unstable; urgency=low

  * Added "upstream" changelog (from tla), note it in debian/rules,
    and build-dep on a version of debhelper that can support it.
  * Fixed tla version detection to work with the new "candidate" versions
    in Debian sid.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 16 Dec 2003 16:16:46 -0600

tla-load-dirs (1.0.10) unstable; urgency=low

  * Added a manpage and description of the program's operation.
    Closes: #214097.
  * control s/Build-Depends/Build-Depends-Indep/

 -- John Goerzen <jgoerzen@complete.org>  Wed, 22 Oct 2003 16:55:19 -0500

tla-load-dirs (1.0.9) unstable; urgency=low

  * Fixed a typo in tla_wc.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 22 Oct 2003 13:52:37 -0500

tla-load-dirs (1.0.8) unstable; urgency=low

  * Now compatible with both 1.0 and the latest 1.1 snapshot.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 22 Oct 2003 13:27:54 -0500

tla-load-dirs (1.0.7) unstable; urgency=low

  * Various bugfixes.
  * Added -s option to set the summary line.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  5 Sep 2003 09:43:03 -0500

tla-load-dirs (1.0.6) unstable; urgency=low

  * Made the verbose stuff actually do something more verbose.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  4 Sep 2003 09:36:06 -0500

tla-load-dirs (1.0.5) unstable; urgency=low

  * Slight logic error when adding multiple nested directories.
    Now do the adds after the copyfrom().

 -- John Goerzen <jgoerzen@complete.org>  Wed,  3 Sep 2003 22:04:25 -0500

tla-load-dirs (1.0.4) unstable; urgency=low

  * Added better error checking of input.
  * Added command to redraw screen.
  * Many bugfixes.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  3 Sep 2003 15:09:18 -0500

tla-load-dirs (1.0.3) unstable; urgency=low

  * Now properly rm -rf's a directory that is removed.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  3 Sep 2003 14:32:39 -0500

tla-load-dirs (1.0.2) unstable; urgency=low

  * Fixed a small syntax error in tla_wc.py.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  3 Sep 2003 14:04:21 -0500

tla-load-dirs (1.0.1) unstable; urgency=low

  * New arg: --no-commit.
  * Now strips off the path from the logged import directory.
  * More aggressive clean target.
  * Creates any directories necessary to move files into.
  * Cleaned up output.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  3 Sep 2003 11:43:12 -0500

tla-load-dirs (1.0.0) unstable; urgency=low

  * Initial Release.  Closes: #208463.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  2 Sep 2003 20:10:45 -0500

=== debian/control ===
Source: tla-load-dirs
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>= 4.1.81), python2.3-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, python
Standards-Version: 3.5.8

Package: tla-load-dirs
Architecture: all
Depends: tla, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Description: Import upstream archives into tla/arch
 Tom Lord's arch/tla system is capable of importing upstream directories
 into a tla archive for some archives,  For situations where the upstream
 renames or moves files and directories on a regular basis, version
 information can be lost.
 .
 tla-load-dirs works with tla to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs.

=== {arch}/++pristine-trees/unlocked/tla-load-dirs/tla-load-dirs--head/tla-load-dirs--head--1.0/jgoerzen@complete.org--projects/tla-load-dirs--head--1.0--patch-33/debian/control ===
Source: tla-load-dirs
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>> 4.0.0), python2.3-dev
Standards-Version: 3.5.8

Package: tla-load-dirs
Architecture: all
Depends: tla, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Description: Import upstream archives into tla/arch
 Tom Lord's arch/tla system is capable of importing upstream directories
 into a tla archive for some archives,  For situations where the upstream
 renames or moves files and directories on a regular basis, version
 information can be lost.
 .
 tla-load-dirs works with tla to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs.

=== {arch}/++pristine-trees/unlocked/tla-load-dirs/tla-load-dirs--head/tla-load-dirs--head--1.0/jgoerzen@complete.org--projects/tla-load-dirs--head--1.0--patch-38/debian/control ===
Source: tla-load-dirs
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>= 4.1.81), python2.3-dev, gtk-doc-tools, sgml2x, docbook-utils, jade
Standards-Version: 3.5.8

Package: tla-load-dirs
Architecture: all
Depends: tla, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Description: Import upstream archives into tla/arch
 Tom Lord's arch/tla system is capable of importing upstream directories
 into a tla archive for some archives,  For situations where the upstream
 renames or moves files and directories on a regular basis, version
 information can be lost.
 .
 tla-load-dirs works with tla to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=python2.3
PACKAGE=tla-load-dirs


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#/usr/bin/docbook-to-man debian/tla-load-dirs.sgml > tla-load-dirs.1
	cd docs && make manpages
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-$(PYTHON) setup.py clean
	-rm -rf ./++* ./,,*
	-rm -rf build
	-cd docs; make realclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tla-load-dirs.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tla-load-dirs
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) \
		--no-compile


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman docs/tla_load_dirs.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tla-load-dirs 1.0.15ubuntu1

=== debian/changelog ===
tla-load-dirs (1.0.15ubuntu1) hoary; urgency=low

  * Updated Build-Depends-Indep for Python 2.4 transititon
  * changed Standards Version to 3.6.1

 -- Daniel Holbach <dh@mailempfang.de>  Mon, 07 Mar 2005 08:50:53 +0100

tla-load-dirs (1.0.15) unstable; urgency=low

  * Made load-dirs-common conflict with tla-load-dirs (<< 1.0.14).
    Some files in earlier tla-load-dirs packages are now in
    load-dirs-common.  Closes: #278102.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 24 Oct 2004 17:02:04 -0500

tla-load-dirs (1.0.14) unstable; urgency=low

  * Added darcs_load_dirs.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 13 Oct 2004 21:01:04 -0500

tla-load-dirs (1.0.13) unstable; urgency=low

  * Added python to build-deps.  Closes: #259136.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Jul 2004 10:17:04 -0500

=== debian/control ===
Source: tla-load-dirs
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>= 4.2.28), gtk-doc-tools, sgml2x, docbook-utils, jade, python (>= 2.4), python-dev (>= 2.4)
Standards-Version: 3.6.1

Package: tla-load-dirs
Architecture: all
Depends: load-dirs-common, tla, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Description: Import upstream archives into tla/arch
 Tom Lord's arch/tla system is capable of importing upstream directories
 into a tla archive for some archives,  For situations where the upstream
 renames or moves files and directories on a regular basis, version
 information can be lost.
 .
 tla-load-dirs works with tla to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs.

Package: darcs-load-dirs
Architecture: all
Depends: load-dirs-common, darcs, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Description: Import upstream archives into darcs
 Darcs works fine for importing new archives,  However, for situations
 where the upstream renames of moves files and directories on a regular
 bases, version information can be lost.
 .
 darcs-load-dirs works with darcs to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs or my tla_load_dirs package for Arch.

Package: load-dirs-common
Architecture: all
Depends: ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Conflicts: tla-load-dirs (<< 1.0.14)
Description: Common files for tla-load-dirs and darcs-load-dirs
 These two packages share much common code.  This package provides
 that common code so you don't have to install it twice on your system.

=== {arch}/++pristine-trees/unlocked/tla-load-dirs/tla-load-dirs--head/tla-load-dirs--head--1.0/jgoerzen@complete.org--projects/tla-load-dirs--head--1.0--patch-46/debian/control ===
Source: tla-load-dirs
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>= 4.1.81), python2.3-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, python (>= 2.3), python-dev
Standards-Version: 3.5.8

Package: tla-load-dirs
Architecture: all
Depends: load-dirs-common, tla, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Description: Import upstream archives into tla/arch
 Tom Lord's arch/tla system is capable of importing upstream directories
 into a tla archive for some archives,  For situations where the upstream
 renames or moves files and directories on a regular basis, version
 information can be lost.
 .
 tla-load-dirs works with tla to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs.

Package: darcs-load-dirs
Architecture: all
Depends: load-dirs-common, darcs, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Description: Import upstream archives into darcs
 Darcs works fine for importing new archives,  However, for situations
 where the upstream renames of moves files and directories on a regular
 bases, version information can be lost.
 .
 darcs-load-dirs works with darcs to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs or my tla_load_dirs package for Arch.

Package: load-dirs-common
Architecture: all
Depends: ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Conflicts: tla-load-dirs (<< 1.0.14)
Description: Common files for tla-load-dirs and darcs-load-dirs
 These two packages share much common code.  This package provides
 that common code so you don't have to install it twice on your system.

## tla-load-dirs 1.0.16

=== debian/changelog ===
tla-load-dirs (1.0.16) unstable; urgency=low

  * Added patch from Alfred M. Szmidt to support symlinks.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  1 Mar 2005 14:57:02 -0600

=== {arch}/++pristine-trees/unlocked/tla-load-dirs/tla-load-dirs--head/tla-load-dirs--head--1.0/jgoerzen@complete.org--projects/tla-load-dirs--head--1.0--patch-35/debian/control ===
Source: tla-load-dirs
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 4.0.0), python2.3-dev, gtk-doc-tools, sgml2x, docbook-utils, jade
Standards-Version: 3.5.8

Package: tla-load-dirs
Architecture: all
Depends: tla, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Description: Import upstream archives into tla/arch
 Tom Lord's arch/tla system is capable of importing upstream directories
 into a tla archive for some archives,  For situations where the upstream
 renames or moves files and directories on a regular basis, version
 information can be lost.
 .
 tla-load-dirs works with tla to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs.

=== debian/rules ===
--- 
+++ 
@@ -60,22 +60,22 @@
 
 	# Add here commands to install the package into debian/tla-load-dirs.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tla-load-dirs
-	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) \
+	mkdir debian/tmp
+	$(PYTHON) setup.py install --root=`pwd`/debian/tmp \
 		--no-compile
 
 
-# Build architecture-independent files here.
-binary-indep: build install
+binary-arch: build install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
-	dh_installdocs
-	dh_installexamples
-#	dh_install
+	dh_installchangelogs -i ChangeLog
+	dh_installdocs -i
+	dh_installexamples -i
+	dh_install -i
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
@@ -85,19 +85,19 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_installman docs/tla_load_dirs.1
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
+	dh_installman -i
+	dh_link -i
+	dh_strip -i
+	dh_compress -i
+	dh_fixperms -i
 #	dh_perl
-	dh_python
+	dh_python -i
 #	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_installdeb -i
+	dh_shlibdeps -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

=== {arch}/++pristine-trees/unlocked/tla-load-dirs/tla-load-dirs--head/tla-load-dirs--head--1.0/jgoerzen@complete.org--projects/tla-load-dirs--head--1.0--patch-33/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=python2.3
PACKAGE=tla-load-dirs


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#/usr/bin/docbook-to-man debian/tla-load-dirs.sgml > tla-load-dirs.1
	cd docs && make manpages
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-$(PYTHON) setup.py clean
	-rm -rf ./++* ./,,*
	-rm -rf build
	-cd docs; make realclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tla-load-dirs.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tla-load-dirs
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) \
		--no-compile


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== {arch}/++pristine-trees/unlocked/tla-load-dirs/tla-load-dirs--head/tla-load-dirs--head--1.0/jgoerzen@complete.org--projects/tla-load-dirs--head--1.0--patch-35/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=python2.3
PACKAGE=tla-load-dirs


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#/usr/bin/docbook-to-man debian/tla-load-dirs.sgml > tla-load-dirs.1
	cd docs && make manpages
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-$(PYTHON) setup.py clean
	-rm -rf ./++* ./,,*
	-rm -rf build
	-cd docs; make realclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tla-load-dirs.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tla-load-dirs
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) \
		--no-compile


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman docs/tla_load_dirs.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tla-load-dirs 1.0.24ubuntu2

=== docs/Makefile ===
--- 
+++ 
@@ -29,9 +29,12 @@
 html: html/index.html
 text: $(MASTERBASE).txt
 
-manpages: tla_load_dirs.1
+manpages: tla_load_dirs.1 darcs_load_dirs.1
 %.1: %.sgml
 	docbook2man $<
+
+darcs_load_dirs.1: tla_load_dirs.1
+	sed s/tla_load_dirs/darcs_load_dirs/g < $< > $@
 
 include sgml-common/Makefile.common

=== debian/changelog ===
tla-load-dirs (1.0.24ubuntu2) breezy; urgency=low

  * Applied patch from Debian bug #319505 to support tla 1.3 syntax changes
    (with variant in code).

 -- Hervé Cauwelier <hcauwelier@oursours.net>  Thu, 25 Aug 2005 17:36:22 +0200

tla-load-dirs (1.0.24ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Jul 2005 19:21:34 +0000

tla-load-dirs (1.0.24) unstable; urgency=low

  * Now use darcs record -l instead of darcs add for adds.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 21 Jun 2005 06:47:27 -0500

tla-load-dirs (1.0.23ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Jun 2005 10:33:05 +0200

tla-load-dirs (1.0.23) unstable; urgency=low

  * Missed a change to tla_wc.py that resulted because of the changes in
    1.0.22.  Thanks James Vega for the helpful bug report.  Closes: #311582.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  1 Jun 2005 21:20:09 -0500

tla-load-dirs (1.0.22) unstable; urgency=low

  * Add --case-ok to darcs command line and sort filenames before adding.
    Closes: #311041.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 31 May 2005 06:00:45 -0500

tla-load-dirs (1.0.21ubuntu1) breezy; urgency=low

  * Python dependency update (2.3 -> 2.4)

 -- Jani Monoses <jani@email.ro>  Sun, 22 May 2005 21:11:38 +0300

tla-load-dirs (1.0.21) unstable; urgency=low

  * No longer run "darcs check".

 -- John Goerzen <jgoerzen@complete.org>  Sat, 14 May 2005 12:09:53 -0500

tla-load-dirs (1.0.20) unstable; urgency=low

  * Fixed rename problem caused by the fix in 1.0.19.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 25 Apr 2005 06:09:22 -0500

tla-load-dirs (1.0.19) unstable; urgency=low

  * [darcs] Fixed moving a file to a directory whose parent didn't yet exist.
    Thanks to Matt Krai for helpful debugging information.  Closes: #293088.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 20 Apr 2005 22:04:15 -0500

tla-load-dirs (1.0.18) unstable; urgency=low

  * Fixed typos in control.  Closes: #300420.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Apr 2005 23:56:29 -0500

tla-load-dirs (1.0.17) unstable; urgency=low

  * [darcs] No longer attempt to darcs remove files; darcs will detect
    the deletion automatically.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Apr 2005 20:16:14 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>= 4.2.28), gtk-doc-tools, sgml2x, docbook-utils, jade, python (>= 2.4), python-dev (>= 2.4)
-Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper (>= 4.1.81), python2.4-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, python (>= 2.4), python-dev
+Standards-Version: 3.5.8
 
 Package: tla-load-dirs
 Architecture: all
 Depends: load-dirs-common, tla, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
 Description: Import upstream archives into tla/arch
  Tom Lord's arch/tla system is capable of importing upstream directories
- into a tla archive for some archives,  For situations where the upstream
+ into a tla archive for some archives.  For situations where the upstream
  renames or moves files and directories on a regular basis, version
  information can be lost.
  .
@@ -22,9 +22,9 @@
 Architecture: all
 Depends: load-dirs-common, darcs, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
 Description: Import upstream archives into darcs
- Darcs works fine for importing new archives,  However, for situations
- where the upstream renames of moves files and directories on a regular
- bases, version information can be lost.
+ Darcs works fine for importing new archives.  However, for situations
+ where the upstream renames or moves files and directories on a regular
+ basis, version information can be lost.
  .
  darcs-load-dirs works with darcs to import these things and preserve
  changes.  It works on a principle similar to Subversion's

## tla-load-dirs 1.0.28ubuntu1

=== docs/Makefile ===
--- 
+++ 
@@ -29,12 +29,17 @@
 html: html/index.html
 text: $(MASTERBASE).txt
 
-manpages: tla_load_dirs.1 darcs_load_dirs.1
+manpages: tla_load_dirs.1 darcs_load_dirs.1 baz_load_dirs.1
 %.1: %.sgml
 	docbook2man $<
 
 darcs_load_dirs.1: tla_load_dirs.1
-	sed s/tla_load_dirs/darcs_load_dirs/g < $< > $@
+	sed -e s/tla_load_dirs/darcs_load_dirs/g \
+	    -e s/TLA_LOAD_DIRS/DARCS_LOAD_DIRS/g < $< > $@
+
+baz_load_dirs.1: tla_load_dirs.1
+	sed -e s/tla_load_dirs/baz_load_dirs/g \
+	    -e s/TLA_LOAD_DIRS/BAZ_LOAD_DIRS/g < $< > $@
 
 include sgml-common/Makefile.common

=== debian/changelog ===
tla-load-dirs (1.0.28ubuntu1) dapper; urgency=low

  * Resynchronize with Debian.

 -- Hervé Cauwelier <hcauwelier@oursours.net>  Mon,  7 Nov 2005 21:47:56 +0100

tla-load-dirs (1.0.28) unstable; urgency=low

  * Applied patch from Teemu Ikonen to support baz.  Closes: #322622.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  6 Sep 2005 06:03:24 -0500

tla-load-dirs (1.0.27) unstable; urgency=low

  * Fixed docs for darcs_load_dirs and also fixed manpages to reflect
    that upstream archive is now kept in darcs instead of tla.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  1 Sep 2005 06:18:46 -0500

tla-load-dirs (1.0.26) unstable; urgency=low

  * Applied patch from Marc Dequènes to support new tla 1.3 command syntax.
    Closes: #319505.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Aug 2005 06:26:53 -0500

tla-load-dirs (1.0.25) unstable; urgency=low

  * Fixed bug where moving files into a new directory could fail on darcs.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Aug 2005 05:26:27 -0500

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,18 @@
  changes.  It works on a principle similar to Subversion's
  svn_load_dirs or my tla_load_dirs package for Arch.
 
+Package: baz-load-dirs
+Architecture: all
+Depends: load-dirs-common, bazaar, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
+Description: Import upstream archives into baz
+ Bazaar (baz) works fine for importing new archives.  However, for situations
+ where the upstream renames or moves files and directories on a regular
+ basis, version information can be lost.
+ .
+ baz-load-dirs works with baz to import these things and preserve
+ changes.  It works on a principle similar to Subversion's
+ svn_load_dirs or my tla_load_dirs package for tla.
+
 Package: load-dirs-common
 Architecture: all
 Depends: ${shlibs:Depends} ${misc:Depends} ${python:Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHON=python2.3
+PYTHON=python2.4
 PACKAGE=tla-load-dirs

## tla-load-dirs 1.0.31

=== docs/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 html: html/index.html
 text: $(MASTERBASE).txt
 
-manpages: tla_load_dirs.1 darcs_load_dirs.1 baz_load_dirs.1
+manpages: tla_load_dirs.1 darcs_load_dirs.1 baz_load_dirs.1 svk_load_dirs.1
 %.1: %.sgml
 	docbook2man $<
 
@@ -41,6 +41,10 @@
 	sed -e s/tla_load_dirs/baz_load_dirs/g \
 	    -e s/TLA_LOAD_DIRS/BAZ_LOAD_DIRS/g < $< > $@
 
+svk_load_dirs.1: tla_load_dirs.1
+	sed -e s/tla_load_dirs/svk_load_dirs/g \
+		-e s/TLA_LOAD_DIRS/SVK_LOAD_DIRS/g < $< > $@
+
 include sgml-common/Makefile.common
 
 realclean: clean

=== debian/changelog ===
tla-load-dirs (1.0.31) unstable; urgency=high

  * Update deps on load-dirs-common.  Closes: #385644.
  * Update for new Python policy.  Closes: #380975.
  * No longer build baz-load-dirs for Debian.  bazaar is not migrating
    into testing, and is preventing this package from entering.
  * Update standards-version to 3.7.2.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  4 Sep 2006 09:06:41 -0500

tla-load-dirs (1.0.30) unstable; urgency=low

  * Apply patch from Gregory Colpart to fix a typo in svk support.
    Closes: #382291.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 10 Aug 2006 16:13:13 -0500

tla-load-dirs (1.0.29) unstable; urgency=low

  * Ack NMU.  Closes: #360730.
  * Do import instead of commit when the current tree-version has no logs.
    Patch from Lionel Elie Mamane.  Closes: #350234.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 17 Jun 2006 11:21:19 -0500

tla-load-dirs (1.0.28-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add commas in dependency fields (Closes: #360730).

 -- Luk Claes <luk@debian.org>  Mon, 17 Apr 2006 11:12:32 +0200

=== debian/control ===
Source: tla-load-dirs
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
XS-Python-Version: current
Build-Depends-Indep: debhelper (>= 5.0.37.2), gtk-doc-tools, sgml2x, docbook-utils, jade, python (>= 2.3), python-dev, python-central (>= 0.5)
Standards-Version: 3.7.2

Package: tla-load-dirs
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: load-dirs-common (= ${Source-Version}), tla, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Import upstream archives into tla/arch
 Tom Lord's arch/tla system is capable of importing upstream directories
 into a tla archive for some archives.  For situations where the upstream
 renames or moves files and directories on a regular basis, version
 information can be lost.
 .
 tla-load-dirs works with tla to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs.

Package: darcs-load-dirs
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: load-dirs-common (= ${Source-Version}), darcs, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Import upstream archives into darcs
 Darcs works fine for importing new archives.  However, for situations
 where the upstream renames or moves files and directories on a regular
 basis, version information can be lost.
 .
 darcs-load-dirs works with darcs to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs or my tla_load_dirs package for Arch.

Package: svk-load-dirs
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: load-dirs-common (= ${Source-Version}), svk, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Description: Import upstream archives into svk
 Svk works fine for importing new archives.  However, for situations
 where the upstream renames or moves files and directories on a regular
 basis, version information can be lost.
 .
 svk-load-dirs works with svk to import these things and preserve
 changes.  It works on a principle similar to Subversion's
 svn_load_dirs or my tla_load_dirs package for tla.

Package: load-dirs-common
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Conflicts: tla-load-dirs (<< 1.0.14)
Description: Common files for tla-load-dirs and darcs-load-dirs
 These two packages share much common code.  This package provides
 that common code so you don't have to install it twice on your system.

## tla-load-dirs 1.0.35

=== docs/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 html: html/index.html
 text: $(MASTERBASE).txt
 
-manpages: tla_load_dirs.1 darcs_load_dirs.1 baz_load_dirs.1 svk_load_dirs.1
+manpages: tla_load_dirs.1 darcs_load_dirs.1 baz_load_dirs.1 svk_load_dirs.1 git_load_dirs.1
 %.1: %.sgml
 	docbook2man $<
 
@@ -45,6 +45,10 @@
 	sed -e s/tla_load_dirs/svk_load_dirs/g \
 		-e s/TLA_LOAD_DIRS/SVK_LOAD_DIRS/g < $< > $@
 
+git_load_dirs.1: tla_load_dirs.1
+	sed -e s/tla_load_dirs/git_load_dirs/g \
+		-e s/TLA_LOAD_DIRS/GIT_LOAD_DIRS/g < $< > $@
+
 include sgml-common/Makefile.common
 
 realclean: clean

=== debian/changelog ===
tla-load-dirs (1.0.35) unstable; urgency=low

  * Merge and ACK NMU 1.0.33.1.  Closes: #395128.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 22 Nov 2006 05:07:41 -0600

tla-load-dirs (1.0.34) unstable; urgency=high

  * Fix darcs support, which one of the earlier git patches broke.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 17 Nov 2006 06:16:14 -0600

tla-load-dirs (1.0.33.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make sure git-load-dirs actually gets installed (Closes: #395128)

 -- Guido Guenther <agx@sigxcpu.org>  Thu,  9 Nov 2006 09:48:02 +0100

tla-load-dirs (1.0.33) unstable; urgency=low

  * Added support for git, thanks to a patch from Guido Guenther.
    Closes: #387139.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 18 Oct 2006 04:00:47 -0500

tla-load-dirs (1.0.32) unstable; urgency=low

  * Now build baz-load-dirs again, since bazaar is no longer broken.
    Closes: #390458.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  9 Oct 2006 07:02:03 -0500

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,19 @@
  changes.  It works on a principle similar to Subversion's
  svn_load_dirs or my tla_load_dirs package for Arch.
 
+Package: baz-load-dirs
+Architecture: all
+XB-Python-Version: ${python:Versions}
+Depends: load-dirs-common (= ${Source-Version}), bazaar, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Description: Import upstream archives into baz
+ Bazaar (baz) works fine for importing new archives.  However, for situations
+ where the upstream renames or moves files and directories on a regular
+ basis, version information can be lost.
+ .
+ baz-load-dirs works with baz to import these things and preserve
+ changes.  It works on a principle similar to Subversion's
+ svn_load_dirs or my tla_load_dirs package for tla.
+
 Package: svk-load-dirs
 Architecture: all
 XB-Python-Version: ${python:Versions}
@@ -46,6 +59,19 @@
  changes.  It works on a principle similar to Subversion's
  svn_load_dirs or my tla_load_dirs package for tla.
 
+Package: git-load-dirs
+Architecture: all
+XB-Python-Version: ${python:Versions}
+Depends: load-dirs-common (= ${Source-Version}), git-core, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
+Description: Import upstream archives into git
+ Git works fine for importing new archives.  However, for situations
+ where the upstream renames or moves files and directories on a regular
+ basis, version information can be lost.
+ .
+ git-load-dirs works with git to import these things and preserve
+ changes.  It works on a principle similar to Subversion's
+ svn_load_dirs or my tla_load_dirs package for tla.
+
 Package: load-dirs-common
 Architecture: all
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHON=python2.4
+PYTHON=python
 PACKAGE=tla-load-dirs
 
 
@@ -91,6 +91,7 @@
 	dh_compress -i
 	dh_fixperms -i
 #	dh_perl
+	dh_pycentral
 	dh_python -i
 #	dh_makeshlibs
 	dh_installdeb -i
